<?xml version="1.0" ?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">

<xsl:template match="/">

<HTML>
	<TITLE>Catalog</TITLE>
	<BODY>
		Books:<BR/>
		<xsl:apply-templates select="//Book" mode="linkOnly">
			<xsl:sort order="ascending" select="Title"/>
		</xsl:apply-templates>
		<P/>
		<xsl:apply-templates select="//Book"/>
	</BODY>
</HTML>
</xsl:template>


<xsl:template match="Book" mode="linkOnly">
	<xsl:element name="A">
		<xsl:attribute name="href">
			#<xsl:value-of select="ISBN"/>
		</xsl:attribute>
			<xsl:value-of select="Title"/><BR/>
	</xsl:element>
</xsl:template>

<xsl:template match="Book">
	<hr/>
	<xsl:element name="A">
		<xsl:attribute name="name">
			<xsl:value-of select="ISBN"/>
		</xsl:attribute>
	</xsl:element>
	<table>
	<tr>
	<td>Title</td><td>
	<STRONG><xsl:value-of select="Title"/></STRONG>
	</td>
	</tr>
	<tr><td>Authors</td>
	<td>
	<table>
		<xsl:for-each select="Authors/Author">
			<tr><td><xsl:value-of select="."/></td></tr>
		</xsl:for-each>	
	</table>
	</td></tr>
	<tr>
	<td>Pages</td>
	<td><xsl:value-of select="@pages"/></td>
	</tr>
	<tr>
	<td>Publisher</td>
	<td><xsl:value-of select="Publisher"/></td>
	</tr>
	<tr>
	<td>Year</td>
	<td><xsl:value-of select="PublicationYear"/></td>
	</tr>
	<tr>
	<td>ISBN</td>
	<td><xsl:value-of select="ISBN"/></td>
	</tr>
	<tr><td>Categories</td>
	<td>
	<table>
		<xsl:for-each select="Categories/Category">
			<tr><td><xsl:value-of select="."/></td></tr>
		</xsl:for-each>	
	</table>
	</td></tr>
	</table>	
</xsl:template>

</xsl:stylesheet>
